GUESS_CONCURRENCY.PY(1)

NAME
guess_concurrency.py

SYNOPSIS
guess_concurrency.py [-h] [--detect METHOD] [--max N] [--min N] [--require-mem MEMLIST]

DESCRIPTION
Guess a suitable concurrency level given constraints from the runtime environment. Environment variables such as DEB_BUILD_OPTIONS, RPM_BUILD_NCPUS and CMAKE_BUILD_PARALLEL_LEVEL are consulted for initial guesses falling back to querying the operating system.guess a suitable concurrency level. A user may further restrict the emitted concurrency by specifying a minimum or maximum and by requiring sufficient memory to support a level of concurreny to be available.

OPTIONS

--detect METHOD
    supply a processor count or select a detection method(nproc, python or cores)

--max N
    limit the number of detected cores to a given maximum

--min N
    limit the number of detected cores to a given minimum

--require-mem MEMLIST
    specify per-core required memory as a comma separated list

AUTHOR
Helmut Grohne
helmut@subdivi.de

DISTRIBUTION
The latest version of guess_concurrency may be downloaded from https://salsa.debian.org/helmutg/guess_concurrency